title: Story
tabs:
  main:
    display: Main
    sections:
      -
        fields:
          -
            handle: title
            field:
              type: text
              required: true
              validate:
                - required
              localizable: false
          -
            handle: description
            field:
              type: textarea
              display: Description
              localizable: false
              instructions: 'A short description or summary of the story.'
              validate:
                - required
          -
            handle: featured_image
            field:
              max_files: 1
              container: assets
              type: assets
              display: 'Featured image'
              localizable: false
              listable: false
              validate:
                - required
              mode: grid
          -
            handle: featured_image_caption
            field:
              type: text
              display: 'Featured image caption'
              localizable: false
          -
            handle: author
            field:
              type: users
              display: Author
              default: current
              localizable: false
              max_items: 1
      -
        display: 'Story content'
        fields:
          -
            handle: story_content
            field:
              type: replicator
              display: 'Story content'
              localizable: false
              hide_display: true
              sets:
                sections:
                  display: Sections
                  sets:
                    story_column:
                      display: 'Story column'
                      icon: media-news-paper
                      fields:
                        -
                          import: single_column
                    section:
                      display: 'Full-width section'
                      icon: layout-table-row-insert
                      fields:
                        -
                          import: background_color
                        -
                          handle: section
                          field:
                            type: replicator
                            display: 'Story section content'
                            localizable: false
                            sets:
                              blocks:
                                display: Blocks
                                icon: layout-table-row-insert
                                sets:
                                  title:
                                    display: Title
                                    icon: text-formatting-all-caps
                                    fields:
                                      -
                                        handle: section_title
                                        field:
                                          type: text
                                          display: 'Section title'
                                          localizable: false
                                          validate:
                                            - required
                                  image:
                                    display: Image
                                    icon: media-image-picture-orientation
                                    fields:
                                      -
                                        import: image
                                  statistic:
                                    display: Statistic
                                    icon: alert-warning-exclamation-mark
                                    fields:
                                      -
                                        import: statistic
                                  social_sharing:
                                    display: 'Social sharing'
                                    icon: social-share
                                    fields:
                                      -
                                        import: social_sharing
                                  donate_widget:
                                    display: 'Donate widget'
                                    icon: money-cash-bill
                                    fields:
                                      -
                                        handle: donate_widget
                                        field:
                                          max_items: 1
                                          collections:
                                            - donate_widgets
                                          type: entries
                                          display: 'Donate widget'
                                          localizable: false
                                          validate:
                                            - required
                              columns:
                                display: Columns
                                icon: layout-table-column-insert
                                sets:
                                  double_column:
                                    display: 'Double column'
                                    icon: layout-two-columns
                                    fields:
                                      -
                                        import: double_column
                                  triple_column:
                                    display: 'Triple column'
                                    icon: layout-three-columns
                                    fields:
                                      -
                                        import: triple_column
      -
        display: 'Footer (optional)'
        instructions: 'Select a footer to overwrite the current global footer option'
        fields:
          -
            import: footer_overwrite
  sidebar:
    display: Sidebar
    sections:
      -
        fields:
          -
            handle: review_field
            field:
              type: review
              display: 'Review field'
              localizable: false
          -
            handle: slug
            field:
              type: slug
              localizable: false
              validate: 'max:200'
          -
            handle: date
            field:
              type: date
              required: true
              default: now
              validate:
                - required
              localizable: false
              time_enabled: true
      -
        display: 'Page customisation'
        fields:
          -
            handle: header_type
            field: header.header_type
            config:
              validate:
                - sometimes
                - required
              if: 'restrictRoles:super'
          -
            import: breadcrumbs
          -
            import: donate_button
          -
            import: search_settings
      -
        display: Tags
        fields:
          -
            import: tags
      -
        display: Display
        fields:
          -
            import: display_fields
  SEO:
    display: SEO
    sections:
      -
        fields:
          -
            handle: seo
            field:
              type: seo_pro
              listable: false
              display: SEO
              localizable: false
